package com.muyu.handler;

public class DataEngineHandler {

    private static final ThreadLocal<Object> dataEngineHandler = new ThreadLocal<>();

    public static void set(final Object handler) {

        dataEngineHandler.set(handler);
    }

    public static <T> T get() {

        return (T) dataEngineHandler.get();
    }


    public static void remove() {
        dataEngineHandler.remove();
    }


}
