package com.muyu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.EngineLevelEntity;
import com.muyu.domain.constants.Result;

import java.util.List;

/**
 * @Author：qdm
 * @Package：com.muyu.service
 * @Project：cloud-etl-engine
 * @name：EngineLevelService
 * @Date：2024/8/25 18:52
 */
public interface EngineLevelService extends IService<EngineLevelEntity> {
    List<EngineLevelEntity> selectLevelList();

    Result<EngineLevelEntity> insert(EngineLevelEntity engineLevelEntity);

    Result<EngineLevelEntity> update(EngineLevelEntity engineLevelEntity);

    Result delete(Integer id);

    Result deleteBatch(Integer[] ids);

    Result selectById(Integer id);

    List<EngineLevelEntity> selectLevelLists();
}
